"""bbs_blog URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, re_path
from django.views.static import serve
from bbs_blog import settings

from blog import views

urlpatterns = [
    path('admin/', admin.site.urls),
    # 登录
    path('login/', views.login),
    # 主页
    path('index/', views.index),
    re_path(r'^$', views.index),
    # 注册
    path('register/', views.register),
    # 图片验证码
    path('get_verification/', views.get_verification),

    re_path(r'media/(?P<path>.*)$', serve, {"document_root": settings.MEDIA_ROOT}),
    # 注销
    path('logout/', views.logout),
    # 点赞
    path("digg/", views.digg),
    # 评论
    path("comment/", views.comment),
    # 评论树
    path("get_comment_tree/", views.get_comment_tree),
    # 后台管理
    path("cn_backend/", views.cn_backend),
    path("cn_backend/add_article/", views.add_article),
    path("upload/", views.upload),

    # 文章详情页
    re_path(r'^(?P<username>\w+)/article/(?P<article_id>\d+)/$', views.article_detail),
    # 个人站点的跳转
    re_path(r'^(?P<username>\w+)/(?P<condition>tag|category|archive)/(?P<param>.*)/$', views.home_site),
    # 个人站点
    re_path(r'^(?P<username>\w+)/$', views.home_site),
]
