#Author:Wang Siyu
from django import template
from blog import models
from django.db.models import Count
from django.db.models.functions import TruncMonth

register = template.Library()

@register.inclusion_tag("classification.html")
def get_classification_style(username):
    user = models.UserInfo.objects.filter(username=username).first()
    blog = user.blog
    cate_list = models.Category.objects.filter(blog=blog).values("pk").annotate(c=Count("article__pk")).values_list(
        "title", "c")
    tag_list = models.Tag.objects.filter(blog=blog).values("pk").annotate(c=Count("article")).values_list("title", "c")
    date_list = models.Article.objects.filter(user=user).annotate(month=TruncMonth("create_time")).values(
        "month").annotate(c=Count("nid")).values_list("month", "c")

    return {"blog": blog, "username": username, "cate_list": cate_list,
            "tag_list": tag_list, "date_list": date_list}
