#Author:Wang Siyu
from PIL import Image, ImageDraw, ImageFont
from io import BytesIO
import random


def get_random_color():
    return (random.randint(0, 255), random.randint(0, 255), random.randint(0, 255))


def get_valid_code(request):


    # 创建图片： Image.new(模式, 尺寸, 背景色)
    img = Image.new("RGB", (260, 35), color=get_random_color())

    # 给图片添加验证码
    draw = ImageDraw.Draw(img)
    font = ImageFont.truetype("/static/font/MTCORSVA.TTF", size=32)

    valid_code_str = ""
    for i in range(5):
        random_int = str(random.randint(0, 9))
        random_low = chr(random.randint(97, 122))
        random_upper = chr(random.randint(65, 90))
        random_char = random.choice([random_int, random_low, random_upper])
        draw.text((i * 50 + 30, 5), random_char, get_random_color(), font=font)
        valid_code_str += random_char

    # 给图片添加噪点噪线
    # width = 260
    # height = 35
    # for i in range(5):
    #     x1 = random.randint(0, width)
    #     y1 = random.randint(0, height)
    #     x2 = random.randint(0, width)
    #     y2 = random.randint(0, height)
    #     draw.line((x1, y1, x2, y2), fill=get_random_color())
    #
    # for i in range(50):
    #     draw.point([random.randint(0, width), random.randint(0, height)], fill=get_random_color())
    #     x = random.randint(0, width)
    #     y = random.randint(0, height)
    #     draw.arc((x, y, x+4, y+4), 0, 90, fill=get_random_color())

    # 保存验证码
    request.session["valid_code_str"] = valid_code_str

    # 将图片打包上传
    f = BytesIO()
    img.save(f, "png")
    data = f.getvalue()

    return data